### Constructor

# GimpUi IntStore new_valist

unstable since: 3.0

#### Declaration [src]

    GtkListStore*
    gimp_int_store_new_valist (
      const gchar* first_label,
      gint first_value,
      va_list values
    )

#### Description [src]

A variant of `gimp_int_store_new()` that takes a va_list of label/value pairs.

Available since: 3.0

This method is not directly available to language bindings.

#### Parameters

`first_label`

  Type: `const gchar*`

  The label of the first item.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`first_value`

  Type: `gint`

  The value of the first item.

`values`

  Type: `va_list`

  A va_list with more values.

#### Return value

Type: `GtkListStore`

A new `GimpIntStore`.

The caller of the function takes ownership of the data, and is responsible for freeing it.